clan::PNGProvider Class Reference - ClanLib SDK
Description: clan::PNGProvider Class Reference

Static Public Member Functions | List of all members
clan::PNGProvider Class Reference
clanDisplay Image Providers

Surface provider that can load PNG (.png) files. More...

`#include <png_provider.h>`

## Static Public Member Functions
static PixelBuffer | load (const std::string &filename, const FileSystem &fs, bool srgb=false)
| Called to load an image with this provider type.
static PixelBuffer | load (const std::string &fullname, bool srgb=false)
static PixelBuffer | load (IODevice &dev, bool srgb=false)
| Load.
static void | save (PixelBuffer buffer, const std::string &filename, FileSystem &fs)
| Called to save a given PixelBuffer to a file.
static void | save (PixelBuffer buffer, const std::string &fullname)
static void | save (PixelBuffer buffer, IODevice &iodev)
| Save the given PixelBuffer to an output device.

## Detailed Description

Surface provider that can load PNG (.png) files.

## Member Function Documentation

## ◆ load() [1/3]

static PixelBuffer clan::PNGProvider::load | ( | const std::string & | filename,
|  | const FileSystem & | fs,
|  | bool | srgb = false )
| static

Called to load an image with this provider type.

Parameters

  name | Name of the file to load.
  directory | Directory that file name is relative to.

## ◆ load() [2/3]

static PixelBuffer clan::PNGProvider::load | ( | const std::string & | fullname,
|  | bool | srgb = false )
| static

## ◆ load() [3/3]

static PixelBuffer clan::PNGProvider::load | ( | IODevice & | dev,
|  | bool | srgb = false )
| static

Load.

Parameters

  dev | = IODevice

Returns
  Pixel Buffer

## ◆ save() [1/3]

static void clan::PNGProvider::save | ( | PixelBuffer | buffer,
|  | const std::string & | filename,
|  | FileSystem & | fs )
| static

Called to save a given PixelBuffer to a file.

## ◆ save() [2/3]

static void clan::PNGProvider::save | ( | PixelBuffer | buffer,
|  | const std::string & | fullname )
| static

## ◆ save() [3/3]

static void clan::PNGProvider::save | ( | PixelBuffer | buffer,
|  | IODevice & | iodev )
| static

Save the given PixelBuffer to an output device.

The documentation for this class was generated from the following file:

- png_provider.h